OGMDEMUX(1)

NAME
ogmdemux - Extract streams from OGG/OGM files into separate files

SYNOPSIS
ogmdemux [options] inname

DESCRIPTION

This program extracts all or only some streams from an OGM and writes them to separate files.

inname
    Use 'inname' as the source.

-o, --output out
    Use 'out' as the base for destination file names. '-v1', '-v2', '-a1', '-t1'... will be appended to this name. Default: use 'inname'.

-a, --astream n
    Extract specified audio stream. Can be used more than once. Default: extract all streams.

-d, --vstream n
    Extract specified video stream. Can be used more than once. Default: extract all streams.

-t, --tstream n
    Extract specified text stream. Can be used more than once. Default: extract all streams.

-na, --noaudio
    Don't extract any audio streams.

-nv, --novideo
    Don't extract any video streams.

-nt, --notext
    Don't extract any text streams. Default: extract all streams.

-r, --raw
    Extract the raw streams only. Default: extract to useful formats (AVI, WAV, OGG, SRT...).

-v, --verbose
    Increase verbosity.

-h, --help
    Show this help.

-V, --version
    Show version number.

NOTES
What works:

*   Extraction of the following formats is fully supported including writing the stream contents to useful container formats:
      video -> AVI
      Vorbis -> OGG/Vorbis
      PCM -> WAV
      text -> text files (SRT subtitle format)

*   All other audio streams (MP3, AC3) are just copied 1:1 into output files. MP3 and AC3 files should be usable. Others might not.

What not works:

*   Headers created by older OggDS (DirectShow) filter versions are not supported (and probably never will be).

AUTHOR
ogmdemux was written by Moritz Bunkus <moritz@bunkus.org>.

SEE ALSO
ogmmerge(1), ogmsplit(1), ogminfo(1), ogmcat(1), dvdxchap(1)

WWW
The newest version can always be found at <http://www.bunkus.org/videotools/ogmtools/> (http://www.bunkus.org/videotools/ogmtools/)